USE [master]
GO
/****** Object:  Database [RapidPay]    Script Date: 28/10/2022 04:35:03 p. m. ******/
CREATE DATABASE [RapidPay]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'RapidPay', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL15.MSSQLSERVER\MSSQL\DATA\RapidPay.mdf' , SIZE = 8192KB , MAXSIZE = UNLIMITED, FILEGROWTH = 65536KB )
 LOG ON 
( NAME = N'RapidPay_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL15.MSSQLSERVER\MSSQL\DATA\RapidPay_log.ldf' , SIZE = 8192KB , MAXSIZE = 2048GB , FILEGROWTH = 65536KB )
 WITH CATALOG_COLLATION = DATABASE_DEFAULT
GO
ALTER DATABASE [RapidPay] SET COMPATIBILITY_LEVEL = 150
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [RapidPay].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [RapidPay] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [RapidPay] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [RapidPay] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [RapidPay] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [RapidPay] SET ARITHABORT OFF 
GO
ALTER DATABASE [RapidPay] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [RapidPay] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [RapidPay] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [RapidPay] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [RapidPay] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [RapidPay] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [RapidPay] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [RapidPay] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [RapidPay] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [RapidPay] SET  DISABLE_BROKER 
GO
ALTER DATABASE [RapidPay] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [RapidPay] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [RapidPay] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [RapidPay] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [RapidPay] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [RapidPay] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [RapidPay] SET HONOR_BROKER_PRIORITY OFF 
GO
ALTER DATABASE [RapidPay] SET RECOVERY FULL 
GO
ALTER DATABASE [RapidPay] SET  MULTI_USER 
GO
ALTER DATABASE [RapidPay] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [RapidPay] SET DB_CHAINING OFF 
GO
ALTER DATABASE [RapidPay] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO
ALTER DATABASE [RapidPay] SET TARGET_RECOVERY_TIME = 60 SECONDS 
GO
ALTER DATABASE [RapidPay] SET DELAYED_DURABILITY = DISABLED 
GO
ALTER DATABASE [RapidPay] SET ACCELERATED_DATABASE_RECOVERY = OFF  
GO
EXEC sys.sp_db_vardecimal_storage_format N'RapidPay', N'ON'
GO
ALTER DATABASE [RapidPay] SET QUERY_STORE = OFF
GO
USE [RapidPay]
GO
/****** Object:  Table [dbo].[Card]    Script Date: 28/10/2022 04:35:03 p. m. ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Card](
	[CardId] [int] IDENTITY(1,1) NOT NULL,
	[Number] [nvarchar](15) NOT NULL,
	[HolderName] [nvarchar](15) NOT NULL,
	[ExpDate] [nvarchar](5) NOT NULL,
	[CvdCode] [nvarchar](256) NOT NULL,
	[UserId] [int] NOT NULL,
 CONSTRAINT [PK_Card] PRIMARY KEY CLUSTERED 
(
	[CardId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[CardBalance]    Script Date: 28/10/2022 04:35:03 p. m. ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CardBalance](
	[BalanceId] [int] IDENTITY(1,1) NOT NULL,
	[CardId] [int] NULL,
	[PaymentDate] [date] NULL,
	[Total] [int] NULL,
	[FeeRate] [decimal](18, 2) NULL,
	[FeeAmount] [decimal](18, 3) NULL,
 CONSTRAINT [PK_CardBalance] PRIMARY KEY CLUSTERED 
(
	[BalanceId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[UserInfo]    Script Date: 28/10/2022 04:35:03 p. m. ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[UserInfo](
	[UserId] [int] IDENTITY(1,1) NOT NULL,
	[DisplayName] [varchar](60) NOT NULL,
	[UserName] [varchar](30) NOT NULL,
	[Email] [varchar](50) NOT NULL,
	[Password] [varchar](20) NOT NULL,
	[CreatedDate] [datetime] NOT NULL,
 CONSTRAINT [PK_UserInfo] PRIMARY KEY CLUSTERED 
(
	[UserId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[Card]  WITH CHECK ADD  CONSTRAINT [FK_Card_UserInfo] FOREIGN KEY([UserId])
REFERENCES [dbo].[UserInfo] ([UserId])
GO
ALTER TABLE [dbo].[Card] CHECK CONSTRAINT [FK_Card_UserInfo]
GO
ALTER TABLE [dbo].[CardBalance]  WITH CHECK ADD  CONSTRAINT [FK_CardBalance_Card] FOREIGN KEY([CardId])
REFERENCES [dbo].[Card] ([CardId])
GO
ALTER TABLE [dbo].[CardBalance] CHECK CONSTRAINT [FK_CardBalance_Card]
GO
USE [master]
GO
ALTER DATABASE [RapidPay] SET  READ_WRITE 
GO

USE [RapidPay]
INSERT [dbo].[UserInfo] VALUES (N'AdminSystem', N'Admin', N'admin@abc.com', N'$admin@2022', CAST(N'2022-10-28 14:47:58.207' AS DateTime))
